body {
   font-family: Roboto, sans-serif;
   background-color: #1c0d06;
}

.container {
   max-width: 1030px;
   margin: auto;
   display: grid;
   grid-template-rows: [header] auto [main] auto [footer] auto;
   grid-template-columns: [content] 14fr;
}

.container::before {
   content: "";
   width: 100%;
   height: 100%;
   background-image: url("../images/background.jpg");
   background-size: cover;
   background-position: center;
   position: absolute;
   top: 0;
   left: 0;
   z-index: -3;
}

.page-header {
   grid-row: header;
   grid-column: content;
   display: grid;
   grid-auto-flow: column;
   margin-top: 46px;
   margin-bottom: 17px;
   -webkit-box-align: center;
   -ms-flex-align: center;
   align-items: center;
}

.header-logo-link {
   text-decoration: none;
   color: #fff;
   margin-top: 0;
   margin-bottom: 0;
   display: -webkit-inline-box;
   display: -ms-inline-flexbox;
   display: inline-flex;
   -webkit-box-align: center;
   -ms-flex-align: center;
   align-items: center;
   position: relative;
}

.header-logo-link:hover .header-logo-text {
   color: #f26522;
}

.header-logo-link:hover .header-logo-img {
   opacity: 0;
}

.header-logo-link:hover .header-logo-img_orange {
   opacity: 1;
}

.header-logo-text {
   margin-top: 0;
   margin-bottom: 0;
   text-transform: uppercase;
   font-weight: 700;
   margin-left: 8px;
   font-size: 29px;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -webkit-box-orient: vertical;
   -webkit-box-direction: normal;
   -ms-flex-direction: column;
   flex-direction: column;
   -webkit-transition: color 0.4s;
   -o-transition: color 0.4s;
   transition: color 0.4s;
}

.smaller-text {
   font-size: 18px;
}

.bigger-text {
   font-size: 20px;
}

.header-contacts {
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -webkit-box-orient: vertical;
   -webkit-box-direction: normal;
   -ms-flex-direction: column;
   flex-direction: column;
   -webkit-box-align: end;
   -ms-flex-align: end;
   align-items: flex-end;
}

.header-telephone,
.header-mail {
   color: #fff;
   text-decoration: none;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   font-size: 18px;
   font-weight: 400;
   -webkit-transition: color 0.4s;
   -o-transition: color 0.4s;
   transition: color 0.4s;
}

.header-mail {
   margin-bottom: 19px;
}

.main-content {
   grid-row: main;
   grid-column: content;
}

.header-logo-img {
   position: absolute;
   -webkit-transition: opacity 0.4s;
   -o-transition: opacity 0.4s;
   transition: opacity 0.4s;
}

.header-logo-img_orange {
   opacity: 0;
   -webkit-transition: opacity 0.5s;
   -o-transition: opacity 0.5s;
   transition: opacity 0.5s;
}

.services-list {
   list-style: none;
   margin-top: 0;
   margin-bottom: 0;
   padding-left: 0;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -ms-flex-wrap: wrap;
   flex-wrap: wrap;
   -webkit-box-pack: justify;
   -ms-flex-pack: justify;
   justify-content: space-between;
}

.service-item {
   position: relative;
}

.service-item:nth-child(-n + 3) {
   margin-bottom: 37px;
}

.service-link {
   text-decoration: none;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -webkit-box-orient: vertical;
   -webkit-box-direction: normal;
   -ms-flex-direction: column;
   flex-direction: column;
   -webkit-box-align: center;
   -ms-flex-align: center;
   align-items: center;
}

.service-photo {
   border-left: 2px solid;
   border-right: 2px solid;
   -o-border-image: -o-linear-gradient(top, #fff, #000) 1 100%;
   border-image: -webkit-gradient(
         linear,
         left top,
         left bottom,
         from(#fff),
         to(#000)
      )
      1 100%;
   border-image: linear-gradient(to bottom, #fff, #000) 1 100%;
}

.header-mail:hover,
.header-telephone:hover {
   color: #f26522;
}

.service-photo {
   max-width: 300px;
}

.service-text {
   margin-bottom: 0;
   color: #fff;
   margin-top: 20px;
   font-size: 18px;
   -webkit-transition: color 0.3s, linear;
   -o-transition: color 0.3s, linear;
   transition: color 0.3s, linear;
}

.service-details {
   width: 100%;
   height: 55px;
   background-color: #f26522;
   font-weight: 400;
   font-size: 14px;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -webkit-box-pack: justify;
   -ms-flex-pack: justify;
   justify-content: space-between;
   position: absolute;
   bottom: 40px;
   left: 0;
   visibility: hidden;
   opacity: 0;
   -webkit-transition: visibility 0s, opacity 0.3s linear;
   -o-transition: visibility 0s, opacity 0.3s linear;
   transition: visibility 0s, opacity 0.3s linear;
}

.service-item:hover .service-text {
   color: #f26522;
}

.service-item:hover .service-details {
   visibility: visible;
   opacity: 1;
}

.service-cost {
   margin: 0 0 0 16px;
   color: #fff;
   font-weight: 400;
   font-size: 10px;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -webkit-box-orient: vertical;
   -webkit-box-direction: normal;
   -ms-flex-direction: column;
   flex-direction: column;
   -webkit-box-pack: space-evenly;
   -ms-flex-pack: space-evenly;
   justify-content: space-evenly;
}

.service-details-link {
   text-decoration: none;
   color: #fff;
   margin: 29px 14px 12px 0;
}

.service-details-link::after {
   content: url(../images/Vector1.svg);
   margin-left: 16px;
}

.page-footer {
   grid-row: footer;
   grid-column: content;
   margin-top: 49px;
   margin-bottom: 15px;
}

.footer-copyright {
   text-align: center;
}

.copyright-text {
   font-size: 12px;
   color: #fff;
   margin-top: 0;
   margin-bottom: 0;
}
